# $Revision: 1.17 $, $Date: 2011/05/28 12:25:50 $
Summary:	Cluster sync tool
Summary(pl.UTF-8):	Narzędzie do synchronizacji klastra
Name:		csync2
Version:	1.34
Release:	4
License:	GPL v2+
Group:		Daemons
Source0:	http://oss.linbit.com/csync2/%{name}-%{version}.tar.gz
# Source0-md5:	efc8a3548996b79cef2ad76af5e93cd8
Source1:	%{name}.init
Source2:	%{name}.inet
Source3:	%{name}.sysconfig
Patch0:		%{name}-man_fix.patch
URL:		http://oss.linbit.com/csync2/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gnutls-devel
BuildRequires:	librsync-devel
BuildRequires:	openssl-devel
BuildRequires:	sqlite-devel
Requires:	setup > 2.4.10-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
Csync2 is a cluster synchronization tool. It can be used to keep files
on multiple hosts in a cluster in sync. Csync2 can handle complex
setups with much more than just 2 hosts, handle file deletions and can
detect conflicts. It is expedient for HA-clusters, HPC-clusters, COWs
and server farms.

%description -l pl.UTF-8
Csync2 to narzędzie do synchronizacji klastra. Może być używane do
utrzymywania zgodności plików na wielu hostach w klastrze. Csync2 jest
w stanie obsłużyć złożone konfiguracje z więcej niż 2 hostami,
obsługiwać usuwanie plików i wykrywać konflikty. Jest praktyczne dla
klastrów HA, HPC, COW oraz farm serwerów.

%package -n csync2-inetd
Summary:	Files necessary to run csync2 in inetd service mode
Summary(pl.UTF-8):	Pliki niezbędne do uruchomienia csync2 w trybie usługi inetd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	csyncd
Provides:	csyncd-inetd
Obsoletes:	csyncd
Obsoletes:	csync2-standalone
Obsoletes:	csyncd-standalone

%description -n csync2-inetd
Csync2 is a cluster synchronization tool. It can be used to keep files
on multiple hosts in a cluster in sync. Csync2 can handle complex
setups with much more than just 2 hosts, handle file deletions and can
detect conflicts. It is expedient for HA-clusters, HPC-clusters, COWs
and server farms.

%description -n csync2-inetd -l pl.UTF-8
Csync2 to narzędzie do synchronizacji klastra. Może być używane do
utrzymywania zgodności plików na wielu hostach w klastrze. Csync2 jest
w stanie obsłużyć złożone konfiguracje z więcej niż 2 hostami,
obsługiwać usuwanie plików i wykrywać konflikty. Jest praktyczne dla
klastrów HA, HPC, COW oraz farm serwerów.

%package -n csync2-standalone
Summary:	Files necessary to run csync2 in standalone daemon mode
Summary(pl.UTF-8):	Pliki niezbędne do uruchomienia csync2 w trybie samodzielnego serwera
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Provides:	csyncd
Provides:	csyncd-standalone
Obsoletes:      csyncd
Obsoletes:      csync2-inetd
Obsoletes:      csyncd-inetd

%description -n csync2-standalone
Csync2 is a cluster synchronization tool. It can be used to keep files
on multiple hosts in a cluster in sync. Csync2 can handle complex
setups with much more than just 2 hosts, handle file deletions and can
detect conflicts. It is expedient for HA-clusters, HPC-clusters, COWs
and server farms.

%description -n csync2-standalone -l pl.UTF-8
Csync2 to narzędzie do synchronizacji klastra. Może być używane do
utrzymywania zgodności plików na wielu hostach w klastrze. Csync2 jest
w stanie obsłużyć złożone konfiguracje z więcej niż 2 hostami,
obsługiwać usuwanie plików i wykrywać konflikty. Jest praktyczne dla
klastrów HA, HPC, COW oraz farm serwerów.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-gnutls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_var}/lib/csync2,/etc/{sysconfig/rc-inetd,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n csync2-inetd
%service -q rc-inetd reload

%postun -n csync2-inetd
if [ "$1" = "0" ]; then
        %service -q rc-inetd reload
fi

%post -n csync2-standalone
/sbin/chkconfig --add csync2
%service csync2 restart "csync2 server"

%preun -n csync2-standalone
if [ "$1" = "0" ]; then
        %service csync2 stop
        /sbin/chkconfig --del csync2
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO csync2.xinetd csync2_locheck.sh paper.pdf
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/csync2.cfg
%attr(755,root,root) %{_sbindir}/csync2
%attr(755,root,root) %{_sbindir}/csync2-compare
%dir %{_var}/lib/csync2
%{_mandir}/man1/*.1*

%files -n csync2-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/%{name}

%files -n csync2-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: csync2.spec,v $
Revision 1.17  2011/05/28 12:25:50  matkor
- Release 2. Disabled gnutls to avoid failing build.

Revision 1.16  2011/05/17 07:07:37  arekm
- release 3

Revision 1.15  2011/04/02 15:10:05  arekm
- release 2

Revision 1.14  2008/04/20 20:26:32  blues
- rel.1

Revision 1.13  2007-12-19 20:30:23  zbyniu
- up to 1.34

Revision 1.12  2007-08-03 17:29:15  qboosh
- GPL v2+

Revision 1.11  2007/07/20 15:30:42  blues
- inetd and standalone subpackages.

Revision 1.10  2007/07/20 14:58:39  blues
- move configuration and other files into /etc/csync2 directory; proper
  manual fix

Revision 1.9  2007/07/18 23:19:20  blues
- don't play with /etc/services - require proper version of setup

Revision 1.8  2007/05/08 16:39:52  qboosh
- I suppose mans are not dirs
- verify() flags for config file

Revision 1.7  2007/05/08 13:44:36  blues
- package all files - use ac/am automation, not own hands

Revision 1.6  2007/04/05 11:11:13  zbyniu
- up to 1.33

Revision 1.5  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.3  2005/10/03 14:04:04  qboosh
- pl

Revision 1.2  2005/09/25 01:43:54  zbyniu
- Source0 URL

Revision 1.1  2005/09/25 01:35:32  zbyniu
- new
